System 2.0.0.0 4.0.0.0 System.Diagnostics.TraceFilter

One of several different types of filters can be assigned to a trace listener to provide a layer of screening beyond that provided by the trace switch. The filter can be used to control the level of tracing that is produced by the listener.

This class filters events based on a specific trace source set by the user.

overrides the method and defines a property that specifies the name of the trace source to be traced by the listener.

This filter is provided because multiple trace sources can simultaneously use the same trace listener.

Indicates whether a listener should trace a message based on the source of a trace.

- Constructor
  2.0.0.0
  4.0.0.0

  The value of the parameter is used to initialize the property.

  Initializes a new instance of the class, specifying the name of the trace source.

  The name of the trace source.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` `` `` `` `` ``

  If the value of the parameter matches the value of the property, the method returns true.

  Determines whether the trace listener should trace the event.

  true if the trace should be produced; otherwise, false.

  An object that represents the information cache for the trace event. The name of the source. One of the enumeration values that identifies the event type. A trace identifier number. The format to use for writing an array of arguments or a message to write. An array of argument objects. A trace data object. An array of trace data objects.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  identifies the trace source for which to write trace information. Trace information will not be written for other trace sources. The name of the trace source is the parameter from the constructor for the .

  Gets or sets the name of the trace source.